Last Comment Bug 388579 - [FIX]Broken link opening from thunderbird causing ghost tab
: [FIX]Broken link opening from thunderbird causing ghost tab
Status: VERIFIED FIXED
: fixed1.8.0.14, regression, verified1.8.1.8
Product: Core
Classification: Components
Component: Security (show other bugs)
: Trunk
: All All
P1 normal (vote)
: mozilla1.9alpha8
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
: David Keeler [:keeler] (use needinfo?)
Mentors:
http://wiki.http//wiki.mozilla.org/Pe...
: 388561 390319 (view as bug list)
Depends on:
Blocks: CVE-2007-1095
  Show dependency treegraph
 
Reported: 2007-07-18 08:47 PDT by Carsten Book [:Tomcat]
Modified: 2007-09-30 15:25 PDT (History)
17 users (show)
jonas: blocking1.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fixed (1.26 KB, patch)
2007-07-19 15:43 PDT, Boris Zbarsky [:bz] (still a bit busy)
cbiesinger: review+
jst: superreview+
dveditz: approval1.8.1.8+
dveditz: approval1.8.0.14+
Details | Diff | Splinter Review

Description User image Carsten Book [:Tomcat] 2007-07-18 08:47:12 PDT
Problem is on Trunk Builds
If you click on this link http://wiki.http//wiki.mozilla.org/Performance/Status_Meetings/2007-July-18 in Thunderbird it opens a new Tab in Firefox that is greyed out and not usable. You can`t also use this tab for other urls. 

On Firefox 2.0.0.5 it displays only the "Can`t find page" Net Error and the Tab is usable.

Regression between 2007-06-14 and 2007-06-15 (thanks martijn) http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2007-06-14+04&maxdate=2007-06-15+09&cvsroot=%2Fcvsroot

So we think its a regression from Bug 371360
Comment 1 User image Adam Guthrie 2007-07-18 09:38:21 PDT
*** Bug 388561 has been marked as a duplicate of this bug. ***
Comment 2 User image David E. Ross 2007-07-18 13:11:10 PDT
This might help diagnose the problem --  

Using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.4) Gecko/20070509 SeaMonkey/1.1.2 with WindowsXP.  

Preference set to open link from external application in a new window.  

After attempting and failing to open bad URL, I went to the address area and removed the "//wiki.http".  On selecting Enter, I got the desired Web page.  

Thus, either the problem is limited to Firefox and is not in SeaMonkey, or else the problem is limited to configurations in which links from external applications open new tabs instead of new windows (or both).  
  
Comment 3 User image Boris Zbarsky [:bz] (still a bit busy) 2007-07-19 15:43:25 PDT
Created attachment 273049 [details] [diff] [review]
Fixed

The issue is that for external loads we CreateAboutBlankContentViewer before doing the load... which fires the unload event right then and there.  If the load then fails in any way, we'll never be able to make use of this docshell again.

I think it's reasoanble to just fire unload on the about:blank intemediary when the new page comes in.

I checked, and the only other callers of CreateAboutBlankContentViewer are similar code in history loads of javascript: and EnsureContentViewer.  This last will never be firing unload anyway, so no behavior change there.

I _could_ probably change things so that we unset this boolean when we go to handle errors instead of doing it here.  But this seems more robust to me.
Comment 4 User image dolphinling 2007-07-20 13:40:24 PDT
Just a note, I just saw this with a page that took a long time to respond, when I hit stop before it loaded or timed out.


> The issue is that for external loads we CreateAboutBlankContentViewer before
> doing the load... which fires the unload event right then and there.  If the
> load then fails in any way, we'll never be able to make use of this docshell
> again.

I guess that means this case is already covered by the patch? 
Comment 5 User image Boris Zbarsky [:bz] (still a bit busy) 2007-07-20 19:31:57 PDT
> Just a note, I just saw this with a page that took a long time to respond

Loaded from outside the app?
Comment 6 User image dolphinling 2007-07-21 14:27:57 PDT
(In reply to comment #5)
> Loaded from outside the app?

Yes.
Comment 7 User image Boris Zbarsky [:bz] (still a bit busy) 2007-07-21 20:28:00 PDT
Then yeah, this patch should help.
Comment 8 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2007-07-26 17:38:27 PDT
Marking blocker to make sure we get this in.
Comment 9 User image Boris Zbarsky [:bz] (still a bit busy) 2007-07-31 11:21:32 PDT
*** Bug 390319 has been marked as a duplicate of this bug. ***
Comment 10 User image Christian :Biesinger (don't email me, ping me on IRC) 2007-08-23 11:39:31 PDT
Comment on attachment 273049 [details] [diff] [review]
Fixed

it seems really fragile to maintain this as state on the docshell instead of the document or something
Comment 11 User image Boris Zbarsky [:bz] (still a bit busy) 2007-08-23 11:50:46 PDT
Comment on attachment 273049 [details] [diff] [review]
Fixed

Yeah, true.  I was going for minimally invasive here....
Comment 12 User image Boris Zbarsky [:bz] (still a bit busy) 2007-08-23 12:00:35 PDT
Comment on attachment 273049 [details] [diff] [review]
Fixed

Need this on branches too if bug 371360 lands there.
Comment 13 User image Boris Zbarsky [:bz] (still a bit busy) 2007-08-23 12:03:16 PDT
Fixed.
Comment 14 User image Christian :Biesinger (don't email me, ping me on IRC) 2007-08-23 16:04:12 PDT
it'd also be nice if the header had a comment about the purpose of this variable
Comment 15 User image Boris Zbarsky [:bz] (still a bit busy) 2007-08-23 18:50:38 PDT
Checked one in.
Comment 16 User image Daniel Veditz [:dveditz] 2007-09-07 11:31:11 PDT
Comment on attachment 273049 [details] [diff] [review]
Fixed

approved for 1.8.1.7 and 1.8.0.14, a=dveditz for release-drivers
Comment 17 User image Boris Zbarsky [:bz] (still a bit busy) 2007-09-13 11:33:56 PDT
Fixed on both branches.
Comment 18 User image Carsten Book [:Tomcat] 2007-09-30 15:25:59 PDT
verified fixed 1.8.1.8 using Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.8pre) Gecko/20070929 BonEcho/2.0.0.8pre ID:2007092904 following my steps to reproduce

Also verified fixed for Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.9a9pre) Gecko/2007092705 Minefield/3.0a9pre ID:2007092705

-> adding verified keyword and changing Bug status to verified

Note You need to log in before you can comment on or make changes to this bug.